Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Types | Data Fields
rb_backtrace_location_struct Struct Reference

## Public Types
enum | LOCATION_TYPE { LOCATION_TYPE_ISEQ = 1, LOCATION_TYPE_ISEQ_CALCED, LOCATION_TYPE_CFUNC, LOCATION_TYPE_IFUNC }

## Data Fields
enum rb_backtrace_location_struct::LOCATION_TYPE | type
union {
struct {
const rb_iseq_t * iseq
union {
const VALUE * pc
int lineno
} lineno
} iseq
struct {
ID mid
struct rb_backtrace_location_struct * prev_loc
} cfunc
} | body

## Detailed Description

Definition at line 44 of file vm_backtrace.c.

## Member Enumeration Documentation

enum rb_backtrace_location_struct::LOCATION_TYPE

Enumerator
LOCATION_TYPE_ISEQ |
LOCATION_TYPE_ISEQ_CALCED |
LOCATION_TYPE_CFUNC |
LOCATION_TYPE_IFUNC |

Definition at line 45 of file vm_backtrace.c.

## Field Documentation

union { ... } rb_backtrace_location_struct::body

Referenced by bt_iter_cfunc(), bt_iter_iseq(), location_absolute_path(), location_base_label(), location_label(), location_lineno(), location_mark_entry(), location_path(), and location_to_str().

struct { ... } rb_backtrace_location_struct::cfunc

Referenced by bt_iter_cfunc(), location_absolute_path(), location_base_label(), location_label(), location_lineno(), location_path(), and location_to_str().

const rb_iseq_t* rb_backtrace_location_struct::iseq

Definition at line 54 of file vm_backtrace.c.

Referenced by bt_iter_iseq(), location_absolute_path(), location_base_label(), location_label(), location_lineno(), location_mark_entry(), location_path(), and location_to_str().

struct { ... } rb_backtrace_location_struct::iseq

int rb_backtrace_location_struct::lineno

Definition at line 57 of file vm_backtrace.c.

union { ... } rb_backtrace_location_struct::lineno

ID rb_backtrace_location_struct::mid

Definition at line 61 of file vm_backtrace.c.

const VALUE* rb_backtrace_location_struct::pc

Definition at line 56 of file vm_backtrace.c.

struct rb_backtrace_location_struct* rb_backtrace_location_struct::prev_loc

Definition at line 62 of file vm_backtrace.c.

enum rb_backtrace_location_struct::LOCATION_TYPE rb_backtrace_location_struct::type

Referenced by bt_iter_cfunc(), bt_iter_iseq(), location_absolute_path(), location_base_label(), location_label(), location_lineno(), location_mark_entry(), location_path(), and location_to_str().

The documentation for this struct was generated from the following file:

- vm_backtrace.c